﻿using Infragistics.UltraChart.Shared.Styles;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace UltraChart_dynamic
{
    public partial class Form1 : Form
    {
        DataTable dt;
        public Form1()
        {
            InitializeComponent();

            dt = getLineData();

            ultraChart1.ChartType = ChartType.LineChart;
            ultraChart1.Axis.Y.RangeType = AxisRangeType.Custom;
            ultraChart1.Axis.Y.RangeMax = 100;
            ultraChart1.Axis.Y.RangeMin = 0;
            ultraChart1.Data.SwapRowsAndColumns = true;
            ultraChart1.DataSource = dt;
            ultraChart1.DataBind();

            timer1.Start();
        }

        private DataTable getLineData()
        {
            DataTable table = new DataTable();

            table.Columns.Add("Label", typeof(string));
            table.Columns.Add("Line1", typeof(Int32));

            table.Rows.Add(new object[] { "data1", 111});
            table.Rows.Add(new object[] { "data2", 75 });
            table.Rows.Add(new object[] { "data3", 55 });
            table.Rows.Add(new object[] { "data4", 12 });
            table.Rows.Add(new object[] { "data5", 69 });

            return table;
        }
        int counter = 6;
        Random random = new Random();
        private void timer1_Tick(object sender, EventArgs e)
        {
            dt.Rows.Add(new object[] { "data" + counter++, random.Next(0, 80) });
            dt.Rows.RemoveAt(0);
        }
    }
}
